View a markdown version of this page

CreateUserJourney - Next generation Resilience Hub

CreateUserJourney

Creates a user journey within a system.

Request Syntax

POST /v2/create-user-journey HTTP/1.1 Content-type: application/json { "clientToken": "string", "description": "string", "name": "string", "policyArn": "string", "systemArn": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

clientToken

Idempotency token.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 63.

Pattern: [A-Za-z0-9_.-]{0,63}

Required: No

description

Resource description.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 500.

Required: No

name

Entity label (not part of ARN — spaces allowed).

Type: String

Length Constraints: Minimum length of 2. Maximum length of 60.

Pattern: [A-Za-z0-9][A-Za-z0-9 _\-]{1,59}

Required: Yes

policyArn

ARN identifier.

Type: String

Length Constraints: Minimum length of 31.

Pattern: arn:(aws|aws-cn|aws-iso|aws-iso-[a-z]{1}|aws-us-gov):[A-Za-z0-9][A-Za-z0-9_/.-]{0,62}:([a-z]{2}-((iso[a-z]{0,1}-)|(gov-)){0,1}[a-z]+-[0-9]):[0-9]{12}:[A-Za-z0-9/][A-Za-z0-9:_/+.-]{0,1023}

Required: No

systemArn

ARN identifier.

Type: String

Length Constraints: Minimum length of 31.

Pattern: arn:(aws|aws-cn|aws-iso|aws-iso-[a-z]{1}|aws-us-gov):[A-Za-z0-9][A-Za-z0-9_/.-]{0,62}:([a-z]{2}-((iso[a-z]{0,1}-)|(gov-)){0,1}[a-z]+-[0-9]):[0-9]{12}:[A-Za-z0-9/][A-Za-z0-9:_/+.-]{0,1023}

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "userJourney": { "createdAt": number, "description": "string", "name": "string", "policyArn": "string", "updatedAt": number, "userJourneyId": "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

userJourney

The created user journey.

Type: UserJourney object

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access denied — caller lacks required permissions.

HTTP Status Code: 403

ConflictException

Conflict — resource already exists.

HTTP Status Code: 409

InternalServerException

Internal service error.

HTTP Status Code: 500

ResourceNotFoundException

Resource not found.

resourceId

The identifier of the resource that was not found.

resourceType

The type of the resource that was not found.

HTTP Status Code: 404

ServiceQuotaExceededException

Service quota exceeded.

HTTP Status Code: 402

ValidationException

Validation error — invalid input parameters.

fieldList

The list of fields that failed validation.

reason

The reason for the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: